[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.CanStartDragging

Indicates if the mouse coordinates are within the drag threshold for the specified control.

## Declaration

Source position: controls.pp line 651

`public function TDragManager.CanStartDragging(`
`Site: TWinControl;`
`AThreshold: Integer;`
`X: Integer;`
`Y: Integer`
`):Boolean; virtual; abstract;`

## Description

CanStartDragging is an abstract virtual Boolean function used to determine if the mouse has been moved beyond the threshold that initiates a drag operation. The result is True when the mouse coordinates in X and Y are located within the client rectangle and within the threshold for the specified control in Site.

CanStartDragging must be implemented in a descendent class, like the TDragManagerDefault class in the implementation for the unit.